@import 'header';
@import 'footer';

.grid {
  display: grid;
  grid-template-areas:
    'image  title'
    'image  desc';
  grid-template-columns: 585px 1fr;
  grid-template-rows: auto 1fr 30px;

  &.big {
    grid-template-columns: 730px 1fr;
  }

  @media (min-width: 320px) and (max-width: 767px) {
    grid-template-columns: 100%;
    grid-template-rows: 1fr;
    grid-template-areas:
      'title'
      'image '
      'desc';

    &.big {
      grid-template-columns: 100%;
    }
  }

  @media (min-width: 768px) and (max-width: 1024px) {
    grid-template-columns: 340px 1fr;

    &.big {
      grid-template-columns: 366px 1fr;
    }
  }

  .one {
    grid-area: image;
  }

  .two {
    grid-area: title;
  }

  .three {
    grid-area: desc;
    display: flex;
    flex-direction: column;

    @media (min-width: 320px) and (max-width: 540px) {
      margin-top: 24px;
    }
  }
}

@media (min-width: 320px) and (max-width: 540px) {
  .error-code {
    font-size: 197px;
    line-height: 236px;
    margin-top: -50px;
  }

  body.error-page {
    &::before {
      background-image: url('~@/static/img/error_bg_mobile.png');
      background-position: bottom center;
      transform: translateY(0%);
      width: 360px;
    }
    .container {
      transform: translateY(-50%);
    }
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  body.error-page {
    .container {
      transform: translateY(-50%);
    }
    &::before {
      transform: translateY(50%);
    }
  }
}
body.error-page {
  height: 100%;
  justify-content: center;
  &::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 905px;
    height: 100%;
    background-image: url('~@/static/img/error_bg.png');
    background-position: left center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: -1;
  }
  header,
  footer {
    display: none;
  }
}

header,
footer {
  width: 100vw;
}
